TelnetTask.AntTelnetClient (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.net.TelnetTask.AntTelnetClient,TelnetTask.AntTelnetClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class TelnetTask.AntTelnetClient

    java.lang.Object
      |
      +--org.apache.commons.net.SocketClient
            |
            +--org.apache.commons.net.telnet.Telnet
                  |
                  +--org.apache.commons.net.telnet.TelnetClient
                        |
                        +--org.apache.tools.ant.taskdefs.optional.net.TelnetTask.AntTelnetClient

Enclosing class:
  TelnetTask

public class TelnetTask.AntTelnetClient
extends org.apache.commons.net.telnet.TelnetClient

This class handles the abstraction of the telnet protocol. Currently it is a wrapper around Jakarta Commons Net.

Field Summary

Fields inherited from class org.apache.commons.net.telnet.TelnetClient
`readerThread, TERMINAL_TYPE, TERMINAL_TYPE_IS, TERMINAL_TYPE_SEND`

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`TelnetTask.AntTelnetClient()`

Method Summary
`void` | `sendString(java.lang.String s, boolean echoString)` Write this string to the telnet session.
`void` | `waitForString(java.lang.String s)` Read from the telnet session until the string we are waiting for is found
`void` | `waitForString(java.lang.String s, java.lang.Integer timeout)` Read from the telnet session until the string we are waiting for is found or the timeout has been reached

Methods inherited from class org.apache.commons.net.telnet.TelnetClient
`_connectAction_, addOptionHandler, deleteOptionHandler, disconnect, getInputStream, getLocalOptionState, getOutputStream, getReaderThread, getRemoteOptionState, registerNotifHandler, registerSpyStream, sendAYT, setReaderThread, stopSpyStream, unregisterNotifHandler`

Methods inherited from class org.apache.commons.net.SocketClient
`connect, connect, connect, connect, connect, connect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TelnetTask.AntTelnetClient

    public TelnetTask.AntTelnetClient()

Method Detail

### waitForString

    public void waitForString(java.lang.String s)

  Read from the telnet session until the string we are waiting for is found

  Parameters:
    `s` - The string to wait on

### waitForString

    public void waitForString(java.lang.String s,
                              java.lang.Integer timeout)

  Read from the telnet session until the string we are waiting for is found or the timeout has been reached

  Parameters:
    `s` - The string to wait on
    `timeout` - The maximum number of seconds to wait

### sendString

    public void sendString(java.lang.String s,
                           boolean echoString)

  Write this string to the telnet session.

  Parameters:
    `echoString` - Logs string sent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.